"Delete" button visible on timeline for comments

Bug #1845133 reported by Kristina Hoeppner on 2019-09-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Status tracked in 20.04
18.10
Medium
Unassigned
19.04
Medium
Unassigned
19.10
Medium
Unassigned
20.04
Medium
Lisa Seeto

Bug Description

When you are the owner of a page and have that page in a version on the timeline, you still see the "Delete" button for a comment. This should not be possible as it alters the history.

The button doesn't do anything but only says "Processing". So it doesn't seem to work, but then we shouldn't display it at all.

To replicate:

1. Create a page with a couple of blocks.
2. Make a couple of comments on the page.
3. Save the page to the timeline.
4. Enter your timeline.
5. Delete a comment.
Expected result: There is no trash icon to indicate that you can delete a comment.
Actual result: When pressing the delete button is just says "Processing".

Lisa Seeto (lisaseeto) on 2019-12-10
Changed in mahara:
assignee: nobody → Lisa Seeto (lisaseeto)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/10664
Committed: https://git.mahara.org/mahara/mahara/commit/9a009bb1321ff3d8fffa1b224a84519b01d0bd3a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9a009bb1321ff3d8fffa1b224a84519b01d0bd3a
Author: Lisa Seeto <email address hidden>
Date: Tue Dec 10 17:03:53 2019 +1300

Bug 1845133: "Delete" button visible on timeline for comments

- added in versioning var to get_comment_options func
and changed deleteform display logic in build_html func

behatnotneeded

Change-Id: Id9ed39ad8d1d8cf58f4351b5bca857442a6490bd
Signed-off-by: Lisa Seeto <email address hidden>

Robert Lyon (robertl-9) on 2019-12-12
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/10671
Committed: https://git.mahara.org/mahara/mahara/commit/b0bc6f13e716af0d157fdd82cda0fbf81267befd
Submitter: Robert Lyon (<email address hidden>)
Branch: 19.10_STABLE

commit b0bc6f13e716af0d157fdd82cda0fbf81267befd
Author: Lisa Seeto <email address hidden>
Date: Tue Dec 10 17:03:53 2019 +1300

Bug 1845133: "Delete" button visible on timeline for comments

- added in versioning var to get_comment_options func
and changed deleteform display logic in build_html func

behatnotneeded

Change-Id: Id9ed39ad8d1d8cf58f4351b5bca857442a6490bd
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 9a009bb1321ff3d8fffa1b224a84519b01d0bd3a)

Mahara Bot (dev-mahara) wrote :

Patch for "18.10_STABLE" branch: https://reviews.mahara.org/10673

Reviewed: https://reviews.mahara.org/10673
Committed: https://git.mahara.org/mahara/mahara/commit/d4ce24bdf678f3581618b6dcd81258275065eeb5
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.10_STABLE

commit d4ce24bdf678f3581618b6dcd81258275065eeb5
Author: Lisa Seeto <email address hidden>
Date: Tue Dec 10 17:03:53 2019 +1300

Bug 1845133: "Delete" button visible on timeline for comments

- added in versioning var to get_comment_options func
and changed deleteform display logic in build_html func

behatnotneeded

Change-Id: Id9ed39ad8d1d8cf58f4351b5bca857442a6490bd
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 9a009bb1321ff3d8fffa1b224a84519b01d0bd3a)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10672
Committed: https://git.mahara.org/mahara/mahara/commit/c8e1c0080b104fcbac550e53691d5a083c8b8b2a
Submitter: Robert Lyon (<email address hidden>)
Branch: 19.04_STABLE

commit c8e1c0080b104fcbac550e53691d5a083c8b8b2a
Author: Lisa Seeto <email address hidden>
Date: Tue Dec 10 17:03:53 2019 +1300

Bug 1845133: "Delete" button visible on timeline for comments

- added in versioning var to get_comment_options func
and changed deleteform display logic in build_html func

behatnotneeded

Change-Id: Id9ed39ad8d1d8cf58f4351b5bca857442a6490bd
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 9a009bb1321ff3d8fffa1b224a84519b01d0bd3a)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers